[hacktree] autogen.sh: Improve the script a bit
- From: Javier JardÃn <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [hacktree] autogen.sh: Improve the script a bit
- Date: Tue, 18 Oct 2011 16:37:35 +0000 (UTC)
commit 6114bc3b065815c7810fa1ebf6defaf5bfc3459c
Author: Javier JardÃn <jjardon gnome org>
Date: Tue Oct 18 17:35:19 2011 +0100
autogen.sh: Improve the script a bit
Fix builddir != sourcedir issues ans also run ./configure if
Its needed
autogen.sh | 17 ++++++++++++++++-
1 files changed, 16 insertions(+), 1 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 0b51c5c..6035bc0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,20 @@
#!/bin/sh
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd $srcdir
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
+fi
+
mkdir -p m4
-exec autoreconf -vfi
+autoreconf --force --install --verbose
+
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]